QGIS Application - Bug report #12757
Zoom out crashes QGIS
2015-05-17 12:32 PM - Paolo Cavallini

Status: Closed

Priority: Normal

Assignee:

Category: Map Canvas

Affected QGIS version:2.8.2 Regression?: No

Operating System: Linux Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed/implemented
Crashes QGIS or corrupls data: Copied to github as #: 20856
Description

Pretty simple to replicate.
Thanks Tim for letting us know.

Associated revisions

Revision 1bf98446 - 2015-06-19 05:19 AM - Sandro Santilli

Do not allow invalid map settings (fixes #12757)

History

#1 - 2015-05-19 08:03 AM - Richard Duivenvoorde

easy replicatable by using the scrollwheel of a mouse: just keep zooming out by running the wheel...

#2 - 2015-05-19 08:19 AM - Sandro Santilli

Confirmed. Doesn't require anything being loaded on the map.

The problem is an overflow on scale values. Should we limit the min/max scales somehow ?

Refusing to change parameters if resulting matrix is not invertible, maybe ?

#3 - 2015-05-19 09:16 AM - Sandro Santilli

PR open for comments:
https://github.com/qgis/QGIS/pull/2044

#4 - 2015-05-26 09:39 AM - Saber Razmjooei
- Status changed from Open to Feedback

Can't reproduce in master.

#5 - 2015-05-26 09:47 AM - Sandro Santilli

Saber, did you keep zooming out ? More and more ?
https://github.com/qgis/QGIS/pull/2044

#6 - 2015-05-26 09:53 AM - Saber Razmjooei

Sandro, for the past 3 minutes...now changing to left hand! :)

#7 - 2015-05-26 10:30 AM - Saber Razmjooei

- Status changed from Feedback to Open
- Operating System set to Linux

The bug appears to be platform specific and does not affect Windows installation.

Here is what | get under Ubuntu:

qgis: /tmp/buildd/qgis-2.8.2+20trusty/src/core/qgsmaptopixel.cpp:125: QgsPoint QgsMapToPixel::toMapPoint(double, double) const: Assertion “invertible'
failed.

Aborted

#8 - 2015-05-26 10:32 AM - Paolo Cavallini

This has been fixed during the HF; | do not know if backported

#9 - 2015-05-26 12:30 PM - Giovanni Manghi

- Status changed from Open to Closed

- Resolution set to fixed/implemented

Paolo Cavallini wrote:

This has been fixed during the HF; | do not know if backported

please reopen if necessary.

#10 - 2015-05-26 01:25 PM - Nyall Dawson
- Status changed from Closed to Reopened
- Resolution deleted (fixed/implemented)

It's not fixed yet - there's a PR with a work in progress fix at https:/github.com/qgis/QGIS/pull/2044, but it's not merged yet.

#11 - 2015-06-18 08:21 PM - Sandro Santilli
- Status changed from Reopened to Closed

Fixed in changeset commit:"1bf9844652ad2b92ab2da2a37ebf941257416403".

#12 - 2015-12-26 02:05 PM - Bas Couwenberg
- Status changed from Closed to Reopened
This issue has also been reported for QGIS 2.8.4 in Debian Bug #809063, I've confirmed it with 2.8.5 too.

Can changeset 1bf9844652ad2b92ab2da2a37ebf941257416403 be backported to QGIS 2.8 LTR?

In #14008 the same "Assertion ‘invertible' failed." error is reported to affect 2.8.4, which | suspect is fixed by the backport too.
#13 - 2017-05-01 01:07 AM - Giovanni Manghi

- Easy fix? set to No

- Regression? set to No

#14 - 2017-05-07 11:44 PM - Nyall Dawson

- Status changed from Reopened to Closed
- Description updated

This can be safely closed - 2.8 is no longer supported and it's fixed for 2.14/2.18/3.x

#15 - 2017-05-08 10:54 AM - Giovanni Manghi
- Resolution set to fixed/implemented
